com.verisign.epp.serverstub

## Class LaunchPollHandler

- java.lang.Object
- - com.verisign.epp.serverstub.LaunchPollHandler

- All Implemented Interfaces:
    EPPPollHandler

      public class LaunchPollHandler
      extends java.lang.Object
      implements EPPPollHandler

  Poll handler for all launch poll messages. The kind associated with the poll handler is `LaunchPollHandler.KIND`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KIND` Kind of message handled by `LaunchPollHandler`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaunchPollHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKind()` Gets the kind associated with NameStore poll messages
    `EPPResponse` | `toResponse(EPPPollDataRecord aRecord)` Convert an `EPPPollDataRecord` to an `EPPResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KIND

          public static final java.lang.String KIND

      Kind of message handled by `LaunchPollHandler`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LaunchPollHandler

          public LaunchPollHandler()

  - ### Method Detail

    - #### getKind

          public java.lang.String getKind()

      Gets the kind associated with NameStore poll messages
      Specified by:
        `getKind` in interface `EPPPollHandler`
      Returns:
        `LaunchPollHandler`

    - #### toResponse

          public EPPResponse toResponse(EPPPollDataRecord aRecord)
                                 throws EPPPollQueueException

      Convert an `EPPPollDataRecord` to an `EPPResponse`
      Specified by:
        `toResponse` in interface `EPPPollHandler`
      Parameters:
        `aRecord` - Poll record to convert
      Returns:
        EPP poll response
      Throws:
        `EPPPollQueueException` - Error processing record